$host = $ARGV[0];
#$rrd = $ARGV[1];

my $hexdigit    = qr{[\da-f]}i;                                         # hex digit
my $ipv6_16     = qr{$hexdigit{1,4}}x;                                  # 16 bits
my $ipv6_32     = qr{(?: $ipv6_16 : $ipv6_16 ) | $RE{net}{IPv4} }x;     # 32 bits
my $ipv6_address= qr{
                                                (?: $ipv6_16 : ){6} $ipv6_32        |
                                             :: (?: $ipv6_16 : ){5} $ipv6_32        |
       (?:                       $ipv6_16 )? :: (?: $ipv6_16 : ){4} $ipv6_32        |
       (?: (?: $ipv6_16 : ){0,1} $ipv6_16 )? :: (?: $ipv6_16 : ){3} $ipv6_32        |
       (?: (?: $ipv6_16 : ){0,2} $ipv6_16 )? :: (?: $ipv6_16 : ){2} $ipv6_32        |
       (?: (?: $ipv6_16 : ){0,3} $ipv6_16 )? :: (?: $ipv6_16 : ){1} $ipv6_32        |
       (?: (?: $ipv6_16 : ){0,4} $ipv6_16 )? ::                     $ipv6_32        |
       (?: (?: $ipv6_16 : ){0,5} $ipv6_16 )? ::                     $ipv6_16        |
       (?: (?: $ipv6_16 : ){0,6} $ipv6_16 )? ::
}x;


$ping = "/bin/ping";
$ping = "/bin/ping6" if ($host =~ /^$ipv6_address$/);

open (PING, "$ping -nqc 20 -i .5 -w 5 $host|");
while (<PING>) {
/(\d+)% packet loss/ && ($loss = $1);
/= (.+)\/(.+)\/(.+)\/(.+) ms/ && (($min,$avg,$max,$dev) = ($1,$2,$3,$4));
};
close (PING);

print "min:$min avg:$avg max:$max dev:$dev loss:$loss";

